Package org.apache.ignite.internal.processors.cluster

## Class IgniteClusterMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.IgniteClusterMXBeanImpl

All Implemented Interfaces:
  `IgniteClusterMXBean`

    public class IgniteClusterMXBeanImpl
    extends Object
    implements IgniteClusterMXBean

Implementation of `IgniteClusterMXBean` interface.

### Constructor Summary

Constructors
`IgniteClusterMXBeanImpl​(IgniteClusterImpl cluster)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `getId()` Gets cluster ID.
`String` `getTag()` Gets current cluster tag.
`void` `tag​(String newTag)` Changes cluster tag to provided value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteClusterMXBeanImpl

    public IgniteClusterMXBeanImpl​(IgniteClusterImpl cluster)

Parameters:
  `cluster` - Cluster.

### Method Detail

#### getId

    public UUID getId()

Gets cluster ID.

Specified by:
  `getId` in interface `IgniteClusterMXBean`
Returns:
  Cluster ID.

#### getTag

    public String getTag()

Gets current cluster tag.

Specified by:
  `getTag` in interface `IgniteClusterMXBean`
Returns:
  Current cluster tag.

#### tag

    public void tag​(String newTag)
             throws JMException

Changes cluster tag to provided value.

Specified by:
  `tag` in interface `IgniteClusterMXBean`
Parameters:
  `newTag` - New value to be set as cluster tag.
Throws:
  `JMException` - If provided value failed validation or concurrent change tag operation succeeded.